Package com.independentsoft.office.drawing

# Class ClickHyperlink

java.lang.Object
com.independentsoft.office.drawing.ClickHyperlink

public class ClickHyperlink extends Object
The Class ClickHyperlink.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClickHyperlink()`
  Instantiates a new click hyperlink.
  `ClickHyperlink​(InternalXMLStreamReader reader)`
  Instantiates a new click hyperlink.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClickHyperlink`
  `clone()`
  `String`
  `getAction()`
  Gets the action.
  `String`
  `getInvalidUrl()`
  Gets the invalid url.
  `String`
  `getTargetFrame()`
  Gets the target frame.
  `String`
  `getTooltip()`
  Gets the tooltip.
  `boolean`
  `isEndSounds()`
  Checks if is end sounds.
  `boolean`
  `isHighlightClick()`
  Checks if is highlight click.
  `boolean`
  `isHistory()`
  Checks if is history.
  `void`
  `setAction​(String action)`
  Sets the action.
  `void`
  `setEndSounds​(boolean endSounds)`
  Sets the end sounds.
  `void`
  `setHighlightClick​(boolean highlightClick)`
  Sets the highlight click.
  `void`
  `setHistory​(boolean history)`
  Sets the history.
  `void`
  `setInvalidUrl​(String invalidUrl)`
  Sets the invalid url.
  `void`
  `setTargetFrame​(String targetFrame)`
  Sets the target frame.
  `void`
  `setTooltip​(String tooltip)`
  Sets the tooltip.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClickHyperlink

    public ClickHyperlink()
    Instantiates a new click hyperlink.

  - ### ClickHyperlink

    public ClickHyperlink​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new click hyperlink.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public ClickHyperlink clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAction

    public String getAction()
    Gets the action.
    Returns:
      the action

  - ### setAction

    public void setAction​(String action)
    Sets the action.
    Parameters:
      `action` - the new action

  - ### isEndSounds

    public boolean isEndSounds()
    Checks if is end sounds.
    Returns:
      true, if is end sounds

  - ### setEndSounds

    public void setEndSounds​(boolean endSounds)
    Sets the end sounds.
    Parameters:
      `endSounds` - the new end sounds

  - ### isHighlightClick

    public boolean isHighlightClick()
    Checks if is highlight click.
    Returns:
      true, if is highlight click

  - ### setHighlightClick

    public void setHighlightClick​(boolean highlightClick)
    Sets the highlight click.
    Parameters:
      `highlightClick` - the new highlight click

  - ### isHistory

    public boolean isHistory()
    Checks if is history.
    Returns:
      true, if is history

  - ### setHistory

    public void setHistory​(boolean history)
    Sets the history.
    Parameters:
      `history` - the new history

  - ### getInvalidUrl

    public String getInvalidUrl()
    Gets the invalid url.
    Returns:
      the invalid url

  - ### setInvalidUrl

    public void setInvalidUrl​(String invalidUrl)
    Sets the invalid url.
    Parameters:
      `invalidUrl` - the new invalid url

  - ### getTargetFrame

    public String getTargetFrame()
    Gets the target frame.
    Returns:
      the target frame

  - ### setTargetFrame

    public void setTargetFrame​(String targetFrame)
    Sets the target frame.
    Parameters:
      `targetFrame` - the new target frame

  - ### getTooltip

    public String getTooltip()
    Gets the tooltip.
    Returns:
      the tooltip

  - ### setTooltip

    public void setTooltip​(String tooltip)
    Sets the tooltip.
    Parameters:
      `tooltip` - the new tooltip